org.tmatesoft.svn.core.wc2

## Interface ISvnOperationRunner<V,T extends SvnOperation<V>>

Type Parameters:
  `V` - type of the operation's return value
  `T` - type of the operation, subclass of `SvnOperation`

    public interface ISvnOperationRunner<V,T extends SvnOperation<V>>

This interface describes Svn* operation runner. Provides context for the operation. Defines runner's working copy generation, which is used by for deciding whether it is applicable runner implementation of the operation.

Version:
  1.7
Author:
  TMate Software Ltd.
See Also:
  `SvnOperation`, `SvnOperationFactory`

### Method Summary

Methods
`org.tmatesoft.svn.core.internal.wc2.SvnWcGeneration` `getWcGeneration()` Returns runner's working copy generation it is able to operate on.
`boolean` `isApplicable(T operation, org.tmatesoft.svn.core.internal.wc2.SvnWcGeneration wcGeneration)` Returns whether this runner is applicable for the operation on concrete working copy generation (1.7 or 1.6)
`void` `reset(org.tmatesoft.svn.core.internal.wc2.SvnWcGeneration detectedWcGeneration)` Resets runner's working copy generation.
`V` `run(T operation)` Implementation of operation's `run` method for concrete working copy generation
`void` `setWcContext(org.tmatesoft.svn.core.internal.wc17.SVNWCContext context)` Sets operation's context

### Method Detail

#### isApplicable

    boolean isApplicable(T operation,
                       org.tmatesoft.svn.core.internal.wc2.SvnWcGeneration wcGeneration)
                         throws SVNException

Returns whether this runner is applicable for the operation on concrete working copy generation (1.7 or 1.6)

Parameters:
  `operation` - operation that needs runner
  `wcGeneration` - working copy generation
Returns:
  `true` if the runner is applicable, otherwise `false`
Throws:
  `SVNException`

#### run

    V run(T operation)
          throws SVNException

Implementation of operation's `run` method for concrete working copy generation

Parameters:
  `operation` - operation that needs to be executed
Returns:
  execution result value of operation's return type
Throws:
  `SVNException`

#### setWcContext

    void setWcContext(org.tmatesoft.svn.core.internal.wc17.SVNWCContext context)

Sets operation's context

Parameters:
  `context` - context of the operation

#### reset

    void reset(org.tmatesoft.svn.core.internal.wc2.SvnWcGeneration detectedWcGeneration)

Resets runner's working copy generation.

Parameters:
  `detectedWcGeneration` - new working copy generation for the runner

#### getWcGeneration

    org.tmatesoft.svn.core.internal.wc2.SvnWcGeneration getWcGeneration()

Returns runner's working copy generation it is able to operate on.

Returns:
  working copy generation of the runner.